<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <!--
    1.  조건에 따라 HTML이 나타났다 사라집니다.
        v-if는 조건에 따라 컴포넌트가 실제로 제거되고 생성됩니다.

    2.  형식)
        <태그명 v-if="조건">조건이 true이면 표시됩니다.</태그명>
    -->

    <div id="app">
        <button @click="changeView">Change View</button>
        <!-- v-if로 엘리먼트를 없애기(숨기는거 아닐듯) -->
        <div v-if="viewNum===1">View 1</div>
        <div v-else-if="viewNum===2">View 2</div>
        <div v-else>View 3</div>
    </div>

    <script>
        new Vue({
            el: "#app",
            data: {
                viewNum: 1,
            },
            methods: {
                changeView() {
                    if(++this.viewNum > 3) {
                        this.viewNum = 1;
                    }
                },
            },
        });
    </script>
</body>
</html>